All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
MinEvery And MaxEvery Functions
Statistical Functions

Performs the min or max operation on the samples of a signal. More...

## Functions

NppStatus | nppsMinEvery_8u_I_Ctx (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit in place min value for each pair of elements. More...
NppStatus | nppsMinEvery_8u_I (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength)
NppStatus | nppsMinEvery_16u_I_Ctx (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short integer in place min value for each pair of elements. More...
NppStatus | nppsMinEvery_16u_I (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength)
NppStatus | nppsMinEvery_16s_I_Ctx (const Npp16s *pSrc, Npp16s *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit signed short integer in place min value for each pair of elements. More...
NppStatus | nppsMinEvery_16s_I (const Npp16s *pSrc, Npp16s *pSrcDst, int nLength)
NppStatus | nppsMinEvery_32s_I_Ctx (const Npp32s *pSrc, Npp32s *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit signed integer in place min value for each pair of elements. More...
NppStatus | nppsMinEvery_32s_I (const Npp32s *pSrc, Npp32s *pSrcDst, int nLength)
NppStatus | nppsMinEvery_32f_I_Ctx (const Npp32f *pSrc, Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point in place min value for each pair of elements. More...
NppStatus | nppsMinEvery_32f_I (const Npp32f *pSrc, Npp32f *pSrcDst, int nLength)
NppStatus | nppsMinEvery_64f_I_Ctx (const Npp64f *pSrc, Npp64f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point in place min value for each pair of elements. More...
NppStatus | nppsMinEvery_64f_I (const Npp64f *pSrc, Npp64f *pSrcDst, int nLength)
NppStatus | nppsMaxEvery_8u_I_Ctx (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit in place max value for each pair of elements. More...
NppStatus | nppsMaxEvery_8u_I (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength)
NppStatus | nppsMaxEvery_16u_I_Ctx (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit unsigned short integer in place max value for each pair of elements. More...
NppStatus | nppsMaxEvery_16u_I (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength)
NppStatus | nppsMaxEvery_16s_I_Ctx (const Npp16s *pSrc, Npp16s *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit signed short integer in place max value for each pair of elements. More...
NppStatus | nppsMaxEvery_16s_I (const Npp16s *pSrc, Npp16s *pSrcDst, int nLength)
NppStatus | nppsMaxEvery_32s_I_Ctx (const Npp32s *pSrc, Npp32s *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit signed integer in place max value for each pair of elements. More...
NppStatus | nppsMaxEvery_32s_I (const Npp32s *pSrc, Npp32s *pSrcDst, int nLength)
NppStatus | nppsMaxEvery_32f_I_Ctx (const Npp32f *pSrc, Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point in place max value for each pair of elements. More...
NppStatus | nppsMaxEvery_32f_I (const Npp32f *pSrc, Npp32f *pSrcDst, int nLength)

## Detailed Description

Performs the min or max operation on the samples of a signal.

## Function Documentation

NppStatus nppsMaxEvery_16s_I | ( | const Npp16s * | pSrc,
|  | Npp16s * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMaxEvery_16s_I_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer in place max value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxEvery_16u_I | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMaxEvery_16u_I_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short integer in place max value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxEvery_32f_I | ( | const Npp32f * | pSrc,
|  | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMaxEvery_32f_I_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point in place max value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxEvery_32s_I | ( | const Npp32s * | pSrc,
|  | Npp32s * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMaxEvery_32s_I_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32s * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer in place max value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaxEvery_8u_I | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMaxEvery_8u_I_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit in place max value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinEvery_16s_I | ( | const Npp16s * | pSrc,
|  | Npp16s * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMinEvery_16s_I_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer in place min value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinEvery_16u_I | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMinEvery_16u_I_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short integer in place min value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinEvery_32f_I | ( | const Npp32f * | pSrc,
|  | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMinEvery_32f_I_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point in place min value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinEvery_32s_I | ( | const Npp32s * | pSrc,
|  | Npp32s * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMinEvery_32s_I_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32s * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer in place min value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinEvery_64f_I | ( | const Npp64f * | pSrc,
|  | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMinEvery_64f_I_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point in place min value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMinEvery_8u_I | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsMinEvery_8u_I_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit in place min value for each pair of elements.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation